using System.Collections.Generic;

namespace Cirno.Scripts.Utils;

public static class QueueExtensions
{
    public static Queue<T> EnqueueRange<T>(this Queue<T> queue, IEnumerable<T> items)
    {
        foreach (var item in items)
        {
            queue.Enqueue(item);
        }
        return queue;
    }
}